package com.alcar.aegis.autentication.springsecurity;

import java.util.List;

import org.apache.commons.lang.exception.ExceptionUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationEvent;
import org.springframework.context.ApplicationListener;
import org.springframework.security.authentication.event.AuthenticationSuccessEvent;
import org.springframework.stereotype.Component;
import org.springframework.web.context.ContextLoader;

import com.alcar.aegis.gui.model.SessionBean;
import com.alcar.aegis.persistence.model.Usuario;
import com.alcar.aegis.service.businesslogic.IUsuariosService;

@Component
public class AegisAuthenticationEventListener implements
		ApplicationListener<ApplicationEvent> {

	private static Log log = LogFactory
			.getLog(AegisAuthenticationEventListener.class);

	@Autowired
	private IUsuariosService usuariosService;

	public void onApplicationEvent(ApplicationEvent event) {
		if (event instanceof AuthenticationSuccessEvent) {
			try {
				AuthenticationSuccessEvent successEvent = (AuthenticationSuccessEvent) event;
				String login = successEvent.getAuthentication().getName();
				SessionBean sessionBean = (SessionBean)ContextLoader.getCurrentWebApplicationContext().getBean("sessionBean");
 
				List<Usuario> users = usuariosService.getByUsername(login);
				if (users.size() > 0) {
					Usuario user = users.get(0);
					sessionBean.setUser(user);
				}

			} catch (Exception e) {
				log.error(ExceptionUtils.getFullStackTrace(e));
			}
		}
	}

}
