package com.alcar.aegis.gui.model;

import java.util.Iterator;
import java.util.List;

import javax.faces.application.FacesMessage;
import javax.faces.application.FacesMessage.Severity;
import javax.faces.context.FacesContext;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.alcar.aegis.gui.model.procesos.ProcesosBean;
import com.alcar.aegis.persistence.model.Role;
import com.google.common.collect.Iterators;
import com.google.common.collect.Lists;

public class BaseBean extends org.ploin.web.faces.BaseBean {

	private static final long serialVersionUID = -6757528017898587773L;
	private static Log log = LogFactory.getLog(BaseBean.class);

	protected static void addFacesMessage(String messageText, Severity tipo) {
		FacesContext context = FacesContext.getCurrentInstance();
		context.addMessage(null, new FacesMessage(tipo, messageText, ""));
	}
	
	protected static void addFacesMessage(String messageText, Severity tipo, String detalles) {
		FacesContext context = FacesContext.getCurrentInstance();
		context.addMessage(null, new FacesMessage(tipo, messageText, detalles));
	}

	/**
	 * Añade un mensaje con nivel ERROR al contexto de JSF
	 * @param messageText
	 */
	protected static void addFacesMessageError(String messageText) {
		addFacesMessage(messageText, FacesMessage.SEVERITY_ERROR);
	}
	
	/**
	 * Añade un mensaje con nivel ERROR al contexto de JSF y detalle
	 * @param messageText
	 */
	protected static void addFacesMessageError(String messageText, String detalles) {
		addFacesMessage(messageText, FacesMessage.SEVERITY_ERROR, detalles);
	}
	
	
	/**
	 * Añade un mensaje con nivel AVISO al contexto de JSF
	 * @param messageText
	 */
	protected static void addFacesMessageAviso(String messageText) {
		addFacesMessage(messageText, FacesMessage.SEVERITY_WARN);
	}
	
	protected static SessionBean getSessionBean() {
		return (SessionBean) FacesContext.getCurrentInstance().
		getExternalContext().getSessionMap().get("sessionBean");
	}
	
	protected static boolean contieneRole(List<Role> rolesUsuario, String contieneRol) {
		Iterator<Role> itRoles = rolesUsuario.iterator();
		boolean encontrado = false;
		while (itRoles.hasNext() && encontrado == false) {
			Role rol = (Role) itRoles.next();
			log.debug("Comprobando ROL: " + rol.gettNombre());
			if (StringUtils.equalsIgnoreCase(contieneRol, rol.gettNombre())) {
				encontrado = true;
			}
		}
		return encontrado;
	}

}
