package com.alcar.aegis.gui.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.richfaces.component.SortOrder;

@ManagedBean
@ViewScoped
public class OrdenBean implements Serializable {

	private static Log log = LogFactory.getLog(OrdenBean.class);
	private static final long serialVersionUID = -5032812847168669691L;

	private Map<String, SortOrder> ordenaciones = new HashMap<String, SortOrder>();
	private static final String CAMPO_ORDENACION = "sortProperty";

	private void modifySortProperty(Map<String, SortOrder> orders,
			String sortProperty, SortOrder currentOrder) {
		if ((currentOrder == null) || (currentOrder == SortOrder.ascending)) {
			orders.put(sortProperty, SortOrder.descending);
		} else {
			orders.put(sortProperty, SortOrder.ascending);
		}
	}

	private String getSortProperty() {
		String sortProperty = FacesContext.getCurrentInstance()
				.getExternalContext().getRequestParameterMap()
				.get(CAMPO_ORDENACION);
		return sortProperty;
	}

	public void sort() {
		log.debug("ordenando...");
		String campoOrdenacion = getSortProperty();
		SortOrder ordenActual = ordenaciones.get(campoOrdenacion);
		ordenaciones.clear();
		modifySortProperty(ordenaciones, campoOrdenacion, ordenActual);
	}

	public Map<String, SortOrder> getOrdenaciones() {
		return ordenaciones;
	}

	public void setOrdenaciones(Map<String, SortOrder> ordenaciones) {
		this.ordenaciones = ordenaciones;
	}

}
