/**
 * 
 */
package com.alcar.aegis.persistence;

import java.util.List;
import java.util.Map;

import javax.sql.DataSource;

import org.apache.log4j.Logger;
import org.springframework.jdbc.core.SqlRowSetResultSetExtractor;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.jdbc.support.rowset.SqlRowSet;

import com.google.common.collect.Maps;

/**
 * @author alcar
 * Clase generica que obtendrá los datos de una consulta
 *
 */
public class AbstractDao {
	
	private Logger log = Logger.getLogger(AbstractDao.class);
	
	private NamedParameterJdbcTemplate jdbc;
	
	public AbstractDao(DataSource dataSource) {
		super();
		if (dataSource == null) {
			throw new NullPointerException("El datasource es nul, es necesario un datasource."); 
		}
		this.jdbc = new NamedParameterJdbcTemplate(dataSource);
	}
	
	public Integer probarConsulta(String consulta) {
		log.debug("Realizando prueba de consulta: " + consulta);
		Map<String, Object> parametros = Maps.newHashMap();
		List<Map<String, Object>> filas = jdbc.queryForList(consulta,parametros);
		// log.debug(filas);
		return filas.size();
	}
	
	public List<Map<String, Object>> LanzarConsulta(String consulta, Map<String, Object> parametros) {
		log.debug("Realizando prueba de consulta: " + consulta);
		List<Map<String, Object>> result = jdbc.queryForList(consulta,parametros);
		return result;
	}

}
