package com.alcar.aegis.service.businesslogic.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alcar.aegis.gui.model.admin.ParametrosBean;
import com.alcar.aegis.persistence.mapper.EsquemasMapper;
import com.alcar.aegis.persistence.mapper.ParametrosMapper;
import com.alcar.aegis.persistence.model.ConsultaParametro;
import com.alcar.aegis.persistence.model.Esquema;
import com.alcar.aegis.persistence.model.Parametro;
import com.alcar.aegis.service.businesslogic.IEsquemaService;
import com.alcar.aegis.service.businesslogic.IPageableService;
import com.alcar.aegis.service.businesslogic.IParametrosService;
import com.google.common.collect.Maps;

@Service
public class ParametrosService implements IParametrosService, IPageableService<Parametro> {
	
	@Autowired
	private ParametrosMapper parametrosMapper;

	@Override
	public int delete(Long xParametro) {
		return parametrosMapper.deleteByPrimaryKey(xParametro);
	}

	@Override
	public int save(Parametro parametro) {
		if (parametro.getxParametros() == null) {
			return parametrosMapper.insert(parametro);
		} else {
			return parametrosMapper.updateByPrimaryKey(parametro);
		}
	}

	@Override
	public List<Parametro> getListaPaginada(Map<String, Object> filtro) {
		return parametrosMapper.selectFiltradaPaginada(filtro);
	}

	@Override
	public Integer getNumeroRegistros() {
		return parametrosMapper.countNumeroRegistros(null);
	}

	@Override
	public Integer getNumeroRegistrosFiltro(Map<String, Object> filtro) {
		return parametrosMapper.countNumeroRegistros(filtro);
	}
	
	@Override
	public List<Parametro> getParametros() {
		return parametrosMapper.selectFiltradaPaginada(null);
	}

	@Override
	public Parametro getParametro(Long xParametro) {
		return parametrosMapper.selectByPrimaryKey(xParametro);
	}

	@Override
	public List<Parametro> getParametrosDisponibles(Long xConsulta) {
		return parametrosMapper.selectDisponiblesParaConsulta(xConsulta);
	}

	@Override
	public List<Parametro> getParametrosConsulta(Integer xConsulta) {
		return parametrosMapper.selectParametrosConsulta(xConsulta);
	}

	@Override
	public int eliminarParametroConsulta(Long xParametro, Long xConsulta) {
		ConsultaParametro parametro = new ConsultaParametro();
		parametro.setConXConsulta(xConsulta);
		parametro.setParXParametro(xParametro);
		return parametrosMapper.deleteByParametroYConsulta(parametro);
	}
	
	@Override
	public int agrearParametroConsulta(Long xParametro, Long xConsulta) {
		ConsultaParametro parametro = new ConsultaParametro();
		parametro.setConXConsulta(xConsulta);
		parametro.setParXParametro(xParametro);
		return parametrosMapper.insertParametroConsulta(parametro);
	}
	
	
}
