package com.alcar.aegis.service.businesslogic.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.alcar.aegis.persistence.mapper.EsquemasMapper;
import com.alcar.aegis.persistence.mapper.LogMapper;
import com.alcar.aegis.persistence.mapper.ResultadosMapper;
import com.alcar.aegis.persistence.model.Esquema;
import com.alcar.aegis.persistence.model.Resultado;
import com.alcar.aegis.service.businesslogic.IEsquemaService;
import com.alcar.aegis.service.businesslogic.IPageableService;
import com.alcar.aegis.service.businesslogic.IResultadosService;
import com.google.common.collect.Maps;

@Service
public class ResultadosService implements IResultadosService, IPageableService<Resultado> {
	
	@Autowired
	private ResultadosMapper resultadosMapper;
	
	@Autowired
	private LogMapper logMapper;
	
	@Value("${resultado.path}")
	private String rutaResultados;

	@Override
	public int delete(Long xResultado) {
		return resultadosMapper.deleteByPrimaryKey(xResultado);
		//TODO eliminar ficheros
	}
	
	@Override
	public int deleteLog(Long xResultado) {
		return logMapper.deleteByResultado(xResultado);
		//TODO eliminar ficheros
	}

	@Override
	public List<Resultado> getListaPaginada(Map<String, Object> filtro) {
		return resultadosMapper.selectFiltradaPaginada(filtro);
	}

	@Override
	public Integer getNumeroRegistros() {
		return resultadosMapper.countNumeroRegistros(null);
	}

	@Override
	public Integer getNumeroRegistrosFiltro(Map<String, Object> filtro) {
		return resultadosMapper.countNumeroRegistros(filtro);
	}
	
	@Override
	public List<Resultado> getResultados() {
		return resultadosMapper.selectAll();
	}

	@Override
	public Resultado getResultado(Long xResultado) {
		return resultadosMapper.selectByPrimaryKey(xResultado);
	}

	@Override
	public String getRutaResultados() {
		return rutaResultados;
	}
	
}
