package com.alcar.aegis.service.businesslogic.impl;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alcar.aegis.persistence.mapper.RolesUsuarioMapper;
import com.alcar.aegis.persistence.model.RolUsuario;
import com.alcar.aegis.persistence.model.Role;
import com.alcar.aegis.persistence.model.Usuario;
import com.alcar.aegis.service.businesslogic.IRolesUsuarioService;
import com.google.common.collect.Maps;

@Service
public class RolesUsuarioService implements IRolesUsuarioService {
	
	private static Log log = LogFactory.getLog(RolesUsuarioService.class);
	
	private static final String X_ROL = "xRol";
	private static final String X_USUARIO = "xUsuario";
	@Autowired
	private RolesUsuarioMapper rolesUsuarioMapper;

	@Override
	public Usuario getRolesUsuario(Long xUsuario) {
		Map<String, Object> filtro = Maps.newHashMap();
		filtro.put("xUsuario", xUsuario);
		return rolesUsuarioMapper.selectRolesUsuario(filtro);
	}

	@Override
	public Integer deleteRolUsuario(Long xUsuario, Long xRol) {
		Map<String, Object> parametros = Maps.newHashMap();
		parametros.put(X_USUARIO, xUsuario);
		parametros.put(X_ROL, xRol);
		return rolesUsuarioMapper.deleteRolByUserAndRol(parametros);
	}

	@Override
	public List<Role> getRolesUsuarioDisponibles(Long xUsuario) {
		List<Role> roles = rolesUsuarioMapper.selectRolesUsuarioDisponibles(xUsuario);
		log.debug("Lista de roles disponibles para el usuario " +xUsuario + ": " + roles.size());
		return roles;
	}

	@Override
	public Integer addRole(Long xUsuario, Long xRol) {
		RolUsuario rolUsuario = new RolUsuario(); 
		rolUsuario.setRolXRol(xRol);
		rolUsuario.setUsuXUsuario(xUsuario);
		return rolesUsuarioMapper.insertRolByUserAndRol(rolUsuario);
	}

}
