package com.alcar.aegis.utils;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Value;

public class SerializarUtil {

	private SerializarUtil() {

	}

	/**
	 * Indica que la primera columna será la clave primaria
	 */
	/*
	 * private static int [] keyCols = {1};
	 */
	/**
	 * AVISO: este proceso consume mucha memoria
	 * 
	 * @param rs
	 *            IMPORTANTE: la clave primaria debe ser la primera columna
	 * @throws SQLException
	 * @throws IOException
	 */
	/*
	 * public static String toXml(ResultSet rs) throws SQLException, IOException
	 * {
	 * 
	 * WebRowSet rowSet = new WebRowSetImpl(); rowSet.setKeyColumns(keyCols);
	 * ByteArrayOutputStream bos = new ByteArrayOutputStream();
	 * rowSet.writeXml(rs, bos); return bos.toString(); }
	 */
	public static void serializarLista(List<Map<String, Object>> listaFilas, OutputStream os) throws IOException {
		ObjectOutputStream oos = new ObjectOutputStream(os);
		oos.writeObject(listaFilas); // this es de tipo DatoUdp
		oos.close();
	}
	
	public static List<HashMap<String, Object>> deserializarLista(InputStream is) throws IOException, ClassNotFoundException {
		ObjectInputStream ois = new ObjectInputStream(is);
		@SuppressWarnings("unchecked")
		List<HashMap<String, Object>> unObjetoSerializable = (ArrayList<HashMap<String, Object>>)ois.readObject();
		is.close();
		return unObjetoSerializable;
	}

}
