-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.61-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema aegis
--

CREATE DATABASE IF NOT EXISTS aegis;
USE aegis;

--
-- Definition of table `consulta_parametro`
--

DROP TABLE IF EXISTS `consulta_parametro`;
CREATE TABLE `consulta_parametro` (
  `X_CONSULTAPARAMETRO` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `CON_X_CONSULTA` int(5) unsigned NOT NULL,
  `PAR_X_PARAMETRO` int(10) unsigned NOT NULL,
  PRIMARY KEY (`X_CONSULTAPARAMETRO`),
  KEY `FK_parametro_consultaparametro` (`PAR_X_PARAMETRO`),
  KEY `FK_consulta_consulta_parametro` (`CON_X_CONSULTA`),
  CONSTRAINT `FK_consulta_consulta_parametro` FOREIGN KEY (`CON_X_CONSULTA`) REFERENCES `consultas` (`X_CONSULTA`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_parametro_consultaparametro` FOREIGN KEY (`PAR_X_PARAMETRO`) REFERENCES `parametros` (`X_PARAMETROS`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `consulta_parametro`
--

/*!40000 ALTER TABLE `consulta_parametro` DISABLE KEYS */;
INSERT INTO `consulta_parametro` (`X_CONSULTAPARAMETRO`,`CON_X_CONSULTA`,`PAR_X_PARAMETRO`) VALUES 
 (5,2,3),
 (6,1,2),
 (7,2,2),
 (8,3,4),
 (9,3,5);
/*!40000 ALTER TABLE `consulta_parametro` ENABLE KEYS */;


--
-- Definition of table `consultas`
--

DROP TABLE IF EXISTS `consultas`;
CREATE TABLE `consultas` (
  `X_CONSULTA` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `T_CONSULTA` varchar(50) NOT NULL,
  `T_QUERY` text NOT NULL,
  `USU_X_USUARIO` int(10) unsigned NOT NULL,
  `L_ACTIVA` tinyint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`X_CONSULTA`),
  KEY `FK_usuario_consultas` (`USU_X_USUARIO`),
  CONSTRAINT `FK_usuario_consultas` FOREIGN KEY (`USU_X_USUARIO`) REFERENCES `usuarios` (`X_USUARIO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `consultas`
--

/*!40000 ALTER TABLE `consultas` DISABLE KEYS */;
INSERT INTO `consultas` (`X_CONSULTA`,`T_CONSULTA`,`T_QUERY`,`USU_X_USUARIO`,`L_ACTIVA`) VALUES 
 (1,'listar usuarios-movilmarket','select *\nfrom movilmarket.usuarios',1,1),
 (2,'consulta moviles','select *\nfrom moviles',1,0),
 (3,'listar ordenes','SELECT *\nFROM ficha\nlimit 30',1,0);
/*!40000 ALTER TABLE `consultas` ENABLE KEYS */;


--
-- Definition of table `esquemas`
--

DROP TABLE IF EXISTS `esquemas`;
CREATE TABLE `esquemas` (
  `X_ESQUEMA` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `T_NOMBRE` varchar(50) NOT NULL,
  `T_DRIVER_CLASS` varchar(100) DEFAULT NULL,
  `T_URL` varchar(100) DEFAULT NULL,
  `T_USUARIO` varchar(100) DEFAULT NULL,
  `T_PASSWORD` varchar(100) DEFAULT NULL,
  `T_ESQUEMA` varchar(50) DEFAULT NULL,
  `B_DBLINK` tinyint(1) DEFAULT NULL,
  `T_DBLINK` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`X_ESQUEMA`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `esquemas`
--

/*!40000 ALTER TABLE `esquemas` DISABLE KEYS */;
INSERT INTO `esquemas` (`X_ESQUEMA`,`T_NOMBRE`,`T_DRIVER_CLASS`,`T_URL`,`T_USUARIO`,`T_PASSWORD`,`T_ESQUEMA`,`B_DBLINK`,`T_DBLINK`) VALUES 
 (1,'movilmarket','com.mysql.jdbc.jdbc2.optional.MysqlDataSource','jdbc:mysql://movil-market.es:3306/movilmarket?useUnicode=true&zeroDateTimeBehavior=convertToNull','movilmarket','mm8564','movilmarket',0,''),
 (2,'movilnova','com.mysql.jdbc.jdbc2.optional.MysqlDataSource','jdbc:mysql://movilnova.es:3306/soloimeis?useUnicode=true&zeroDateTimeBehavior=convertToNull','solonokia','sn8564','soloimeis',0,'');
/*!40000 ALTER TABLE `esquemas` ENABLE KEYS */;


--
-- Definition of table `esquemas_procesos`
--

DROP TABLE IF EXISTS `esquemas_procesos`;
CREATE TABLE `esquemas_procesos` (
  `X_ESQUEMA_PROCESO` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `PRO_X_PROCESO` int(5) unsigned NOT NULL,
  `ESQ_X_ESQUEMA` int(10) unsigned NOT NULL,
  PRIMARY KEY (`X_ESQUEMA_PROCESO`),
  KEY `FK_esquemas` (`ESQ_X_ESQUEMA`),
  KEY `FK_procesos` (`PRO_X_PROCESO`),
  CONSTRAINT `FK_esquemas` FOREIGN KEY (`ESQ_X_ESQUEMA`) REFERENCES `esquemas` (`X_ESQUEMA`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_procesos` FOREIGN KEY (`PRO_X_PROCESO`) REFERENCES `procesos` (`X_PROCESO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `esquemas_procesos`
--

/*!40000 ALTER TABLE `esquemas_procesos` DISABLE KEYS */;
INSERT INTO `esquemas_procesos` (`X_ESQUEMA_PROCESO`,`PRO_X_PROCESO`,`ESQ_X_ESQUEMA`) VALUES 
 (8,4,1),
 (9,4,2);
/*!40000 ALTER TABLE `esquemas_procesos` ENABLE KEYS */;


--
-- Definition of table `log`
--

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `X_LOG` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `T_FICHERO_LOG` varchar(255) DEFAULT NULL,
  `RES_X_RESULTADO` int(10) unsigned NOT NULL,
  PRIMARY KEY (`X_LOG`),
  KEY `RES_X_RESULTADO` (`RES_X_RESULTADO`),
  CONSTRAINT `FK_resultados_log` FOREIGN KEY (`RES_X_RESULTADO`) REFERENCES `resultados` (`X_RESULTADO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `log`
--

/*!40000 ALTER TABLE `log` DISABLE KEYS */;
/*!40000 ALTER TABLE `log` ENABLE KEYS */;


--
-- Definition of table `parametros`
--

DROP TABLE IF EXISTS `parametros`;
CREATE TABLE `parametros` (
  `X_PARAMETROS` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `T_NOMBRE` varchar(50) NOT NULL,
  `T_DESCRIPCION` varchar(255) DEFAULT NULL,
  `L_ACTIVO` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`X_PARAMETROS`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `parametros`
--

/*!40000 ALTER TABLE `parametros` DISABLE KEYS */;
INSERT INTO `parametros` (`X_PARAMETROS`,`T_NOMBRE`,`T_DESCRIPCION`,`L_ACTIVO`) VALUES 
 (1,':numLotes','Número de lotes',0),
 (2,':dni','Dni del cliente',0),
 (3,':idmovil','Identificador del móvil',1),
 (4,':ano','Año de las órdenes',1),
 (5,':mes','mes de las órdenes',1);
/*!40000 ALTER TABLE `parametros` ENABLE KEYS */;


--
-- Definition of table `proceso_parametros`
--

DROP TABLE IF EXISTS `proceso_parametros`;
CREATE TABLE `proceso_parametros` (
  `X_PROCESOPARAMETRO` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `CON_X_CONSULTAPARAMETRO` int(5) unsigned NOT NULL,
  `T_VALOR` text,
  `PRO_X_PROCESO` int(5) unsigned NOT NULL,
  PRIMARY KEY (`X_PROCESOPARAMETRO`),
  KEY `IND_PROCESO` (`PRO_X_PROCESO`),
  KEY `IND_CONSULTAPARAMETRO` (`CON_X_CONSULTAPARAMETRO`),
  CONSTRAINT `FK_consultaparametro_parametro_procesos` FOREIGN KEY (`CON_X_CONSULTAPARAMETRO`) REFERENCES `consulta_parametro` (`X_CONSULTAPARAMETRO`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_proceso_parametro_procesos` FOREIGN KEY (`PRO_X_PROCESO`) REFERENCES `procesos` (`X_PROCESO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `proceso_parametros`
--

/*!40000 ALTER TABLE `proceso_parametros` DISABLE KEYS */;
INSERT INTO `proceso_parametros` (`X_PROCESOPARAMETRO`,`CON_X_CONSULTAPARAMETRO`,`T_VALOR`,`PRO_X_PROCESO`) VALUES 
 (11,8,'12',4),
 (12,9,'1',4);
/*!40000 ALTER TABLE `proceso_parametros` ENABLE KEYS */;


--
-- Definition of table `procesos`
--

DROP TABLE IF EXISTS `procesos`;
CREATE TABLE `procesos` (
  `X_PROCESO` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `T_PROCESO` varchar(50) NOT NULL,
  `F_INICIO_PROCESO` datetime DEFAULT NULL,
  `T_CRON` varchar(50) DEFAULT NULL,
  `CON_X_CONSULTA` int(5) unsigned NOT NULL,
  `L_ACTIVO` tinyint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`X_PROCESO`),
  KEY `FK_procesos_con_x_consulta` (`CON_X_CONSULTA`),
  CONSTRAINT `FK_procesos_con_x_consulta` FOREIGN KEY (`CON_X_CONSULTA`) REFERENCES `consultas` (`X_CONSULTA`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `procesos`
--

/*!40000 ALTER TABLE `procesos` DISABLE KEYS */;
INSERT INTO `procesos` (`X_PROCESO`,`T_PROCESO`,`F_INICIO_PROCESO`,`T_CRON`,`CON_X_CONSULTA`,`L_ACTIVO`) VALUES 
 (4,'Proceso Mysql','2013-01-12 12:00:00','0 0 * * *',3,1);
/*!40000 ALTER TABLE `procesos` ENABLE KEYS */;


--
-- Definition of table `qrtz_blob_triggers`
--

DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `BLOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_blob_triggers`
--

/*!40000 ALTER TABLE `qrtz_blob_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_blob_triggers` ENABLE KEYS */;


--
-- Definition of table `qrtz_calendars`
--

DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `CALENDAR_NAME` varchar(200) NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`CALENDAR_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_calendars`
--

/*!40000 ALTER TABLE `qrtz_calendars` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_calendars` ENABLE KEYS */;


--
-- Definition of table `qrtz_cron_triggers`
--

DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `CRON_EXPRESSION` varchar(200) NOT NULL,
  `TIME_ZONE_ID` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_cron_triggers`
--

/*!40000 ALTER TABLE `qrtz_cron_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_cron_triggers` ENABLE KEYS */;


--
-- Definition of table `qrtz_fired_triggers`
--

DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `ENTRY_ID` varchar(95) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `FIRED_TIME` bigint(13) NOT NULL,
  `PRIORITY` int(11) NOT NULL,
  `STATE` varchar(16) NOT NULL,
  `JOB_NAME` varchar(200) DEFAULT NULL,
  `JOB_GROUP` varchar(200) DEFAULT NULL,
  `IS_NONCONCURRENT` varchar(1) DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`ENTRY_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_fired_triggers`
--

/*!40000 ALTER TABLE `qrtz_fired_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_fired_triggers` ENABLE KEYS */;


--
-- Definition of table `qrtz_job_details`
--

DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(250) NOT NULL,
  `IS_DURABLE` varchar(1) NOT NULL,
  `IS_NONCONCURRENT` varchar(1) NOT NULL,
  `IS_UPDATE_DATA` varchar(1) NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) NOT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_job_details`
--

/*!40000 ALTER TABLE `qrtz_job_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_job_details` ENABLE KEYS */;


--
-- Definition of table `qrtz_locks`
--

DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `LOCK_NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`LOCK_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_locks`
--

/*!40000 ALTER TABLE `qrtz_locks` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_locks` ENABLE KEYS */;


--
-- Definition of table `qrtz_paused_trigger_grps`
--

DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_paused_trigger_grps`
--

/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` ENABLE KEYS */;


--
-- Definition of table `qrtz_scheduler_state`
--

DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `LAST_CHECKIN_TIME` bigint(13) NOT NULL,
  `CHECKIN_INTERVAL` bigint(13) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`INSTANCE_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_scheduler_state`
--

/*!40000 ALTER TABLE `qrtz_scheduler_state` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_scheduler_state` ENABLE KEYS */;


--
-- Definition of table `qrtz_simple_triggers`
--

DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `REPEAT_COUNT` bigint(7) NOT NULL,
  `REPEAT_INTERVAL` bigint(12) NOT NULL,
  `TIMES_TRIGGERED` bigint(10) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_simple_triggers`
--

/*!40000 ALTER TABLE `qrtz_simple_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simple_triggers` ENABLE KEYS */;


--
-- Definition of table `qrtz_simprop_triggers`
--

DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `STR_PROP_1` varchar(512) DEFAULT NULL,
  `STR_PROP_2` varchar(512) DEFAULT NULL,
  `STR_PROP_3` varchar(512) DEFAULT NULL,
  `INT_PROP_1` int(11) DEFAULT NULL,
  `INT_PROP_2` int(11) DEFAULT NULL,
  `LONG_PROP_1` bigint(20) DEFAULT NULL,
  `LONG_PROP_2` bigint(20) DEFAULT NULL,
  `DEC_PROP_1` decimal(13,4) DEFAULT NULL,
  `DEC_PROP_2` decimal(13,4) DEFAULT NULL,
  `BOOL_PROP_1` varchar(1) DEFAULT NULL,
  `BOOL_PROP_2` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_simprop_triggers`
--

/*!40000 ALTER TABLE `qrtz_simprop_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` ENABLE KEYS */;


--
-- Definition of table `qrtz_triggers`
--

DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint(13) DEFAULT NULL,
  `PREV_FIRE_TIME` bigint(13) DEFAULT NULL,
  `PRIORITY` int(11) DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) NOT NULL,
  `TRIGGER_TYPE` varchar(8) NOT NULL,
  `START_TIME` bigint(13) NOT NULL,
  `END_TIME` bigint(13) DEFAULT NULL,
  `CALENDAR_NAME` varchar(200) DEFAULT NULL,
  `MISFIRE_INSTR` smallint(2) DEFAULT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `SCHED_NAME` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`),
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) REFERENCES `qrtz_job_details` (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qrtz_triggers`
--

/*!40000 ALTER TABLE `qrtz_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_triggers` ENABLE KEYS */;


--
-- Definition of table `resultados`
--

DROP TABLE IF EXISTS `resultados`;
CREATE TABLE `resultados` (
  `X_RESULTADO` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `F_EJECUCION` datetime NOT NULL,
  `ESQ_X_ESQUEMA` int(5) unsigned NOT NULL,
  `PRO_X_PROCESO` int(5) unsigned NOT NULL,
  `T_FICHERO_DATOS` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`X_RESULTADO`),
  KEY `FK_proceso_resultados` (`PRO_X_PROCESO`),
  KEY `FK_esquema_resultados` (`ESQ_X_ESQUEMA`),
  CONSTRAINT `FK_esquema_resultados` FOREIGN KEY (`ESQ_X_ESQUEMA`) REFERENCES `esquemas` (`X_ESQUEMA`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_proceso_resultados` FOREIGN KEY (`PRO_X_PROCESO`) REFERENCES `procesos` (`X_PROCESO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resultados`
--

/*!40000 ALTER TABLE `resultados` DISABLE KEYS */;
INSERT INTO `resultados` (`X_RESULTADO`,`F_EJECUCION`,`ESQ_X_ESQUEMA`,`PRO_X_PROCESO`,`T_FICHERO_DATOS`) VALUES 
 (4,'2013-01-13 23:52:09',1,4,'\\4\\log_esq1_20130113235209.ser'),
 (5,'2013-01-13 23:52:11',2,4,'\\4\\log_esq2_20130113235210.ser'),
 (6,'2013-01-13 23:53:54',1,4,'\\4\\log_esq1_20130113235354.ser'),
 (7,'2013-01-13 23:54:01',2,4,'\\4\\log_esq2_20130113235401.ser'),
 (8,'2013-01-13 23:55:08',1,4,'\\4\\log_esq1_20130113235508.ser'),
 (9,'2013-01-13 23:55:15',2,4,'\\4\\log_esq2_20130113235515.ser'),
 (10,'2013-01-14 02:06:42',1,4,'\\4\\log_esq1_20130114020641.ser'),
 (11,'2013-01-14 02:06:47',2,4,'\\4\\log_esq2_20130114020646.ser');
/*!40000 ALTER TABLE `resultados` ENABLE KEYS */;


--
-- Definition of table `rol_usuario`
--

DROP TABLE IF EXISTS `rol_usuario`;
CREATE TABLE `rol_usuario` (
  `X_ROL_USUARIO` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `USU_X_USUARIO` int(10) unsigned NOT NULL,
  `ROL_X_ROL` int(10) unsigned NOT NULL,
  PRIMARY KEY (`X_ROL_USUARIO`),
  KEY `FK_usuario_rolusuario` (`USU_X_USUARIO`),
  KEY `FK_rol_rolusuario` (`ROL_X_ROL`),
  CONSTRAINT `FK_rol_rolusuario` FOREIGN KEY (`ROL_X_ROL`) REFERENCES `roles` (`X_ROL`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_usuario_rolusuario` FOREIGN KEY (`USU_X_USUARIO`) REFERENCES `usuarios` (`X_USUARIO`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rol_usuario`
--

/*!40000 ALTER TABLE `rol_usuario` DISABLE KEYS */;
INSERT INTO `rol_usuario` (`X_ROL_USUARIO`,`USU_X_USUARIO`,`ROL_X_ROL`) VALUES 
 (1,1,1),
 (3,4,2);
/*!40000 ALTER TABLE `rol_usuario` ENABLE KEYS */;


--
-- Definition of table `roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `X_ROL` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `T_NOMBRE` varchar(50) NOT NULL,
  `T_DESCRIPCION` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`X_ROL`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `roles`
--

/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`X_ROL`,`T_NOMBRE`,`T_DESCRIPCION`) VALUES 
 (1,'ROL_ADMIN','Administrador'),
 (2,'ROL_APP1','Rol aplicacion 1'),
 (3,'ROL_APP2','Rol aplicacion 2');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;


--
-- Definition of table `roles_consultas`
--

DROP TABLE IF EXISTS `roles_consultas`;
CREATE TABLE `roles_consultas` (
  `X_ROL_CONSULTA` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `CON_X_CONSULTA` int(5) unsigned NOT NULL,
  `ROL_X_ROL` int(10) unsigned NOT NULL,
  PRIMARY KEY (`X_ROL_CONSULTA`),
  KEY `FK_roles_rolesconsultas` (`ROL_X_ROL`),
  KEY `FK_consultas_rolesconsultas` (`CON_X_CONSULTA`),
  CONSTRAINT `FK_consultas_rolesconsultas` FOREIGN KEY (`CON_X_CONSULTA`) REFERENCES `consultas` (`X_CONSULTA`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_roles_rolesconsultas` FOREIGN KEY (`ROL_X_ROL`) REFERENCES `roles` (`X_ROL`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `roles_consultas`
--

/*!40000 ALTER TABLE `roles_consultas` DISABLE KEYS */;
INSERT INTO `roles_consultas` (`X_ROL_CONSULTA`,`CON_X_CONSULTA`,`ROL_X_ROL`) VALUES 
 (2,1,3),
 (4,2,2);
/*!40000 ALTER TABLE `roles_consultas` ENABLE KEYS */;


--
-- Definition of table `usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
CREATE TABLE `usuarios` (
  `X_USUARIO` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `T_NOMBRE` varchar(50) NOT NULL,
  `T_APELLIDO1` varchar(50) DEFAULT NULL,
  `T_APELLIDO2` varchar(50) DEFAULT NULL,
  `T_USUARIO` varchar(50) NOT NULL,
  `T_PASSWORD` varchar(50) NOT NULL,
  `F_ALTA` datetime DEFAULT NULL,
  `F_BAJA` datetime DEFAULT NULL,
  `T_EMAIL` varchar(100) DEFAULT NULL,
  `L_BLOQUEADO` decimal(1,0) DEFAULT NULL,
  PRIMARY KEY (`X_USUARIO`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `usuarios`
--

/*!40000 ALTER TABLE `usuarios` DISABLE KEYS */;
INSERT INTO `usuarios` (`X_USUARIO`,`T_NOMBRE`,`T_APELLIDO1`,`T_APELLIDO2`,`T_USUARIO`,`T_PASSWORD`,`F_ALTA`,`F_BAJA`,`T_EMAIL`,`L_BLOQUEADO`) VALUES 
 (1,'admin','apellidos1','apellido2','admin','d033e22ae348aeb5660fc2140aec35850c4da997','2012-10-10 00:00:00',NULL,NULL,'0'),
 (2,'Loles','Leon','Pedrosa','loles','e8669e1fc073d30e37248b99c07505bb149c4f16','2012-12-30 12:38:00',NULL,'','0'),
 (3,'Pedro','gar1','gon2','pedro','4410d99cefe57ec2c2cdbd3f1d5cf862bb4fb6f8','2012-12-30 16:47:00','2013-01-01 12:00:00','','1'),
 (4,'alcar','pepe','rodri','alcar','ad95ed4bed9a3cbe6f7eb4dcb6d69ded983c5691','2012-12-30 20:13:00',NULL,'','0');
/*!40000 ALTER TABLE `usuarios` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
